body {
    font-family: Arial;
    max-width: 600px;
    margin: 40px auto;
}

button {
    height: 42px;
    padding: 0 18px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    font-weight: 600;
}
button:hover {
    background: #444;
}

.logo{
    height: 70px;
    display: block;
    margin: 0 auto;
}

textarea {
    width: 100%;
    height: 200px;
    border-radius: 12px;
    border: 1px solid #ccc;
    padding: 10px;
}

input {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 12px;
    border: 1px solid #ccc;
}

input,
textarea {
    width: 100%;
    box-sizing: border-box;
}

.retrieve-row {
    display: flex;
    gap: 10px;
    margin-bottom: 10px;
}

.retrieve-row input {
    flex: 1;
    margin-bottom: 0;
}

.retrieve-row button {
    height: 42px;
    white-space: nowrap;
}

.send-section {
    display: flex;
    flex-direction: column;
}

.send-actions {
    display: flex;
    justify-content: flex-end;
    margin-top: 10px;
}

.result-input {
    width: 100%;
    height: 60px;
    font-size: 28px;
    text-align: center;
    margin-top: 15px;
    border-radius: 12px;
    border: 1px solid #ccc;
    font-weight: bold;
    background-color: #232323;
    color: #e3e3e3;
    letter-spacing: 4px;
    display: none;
}

.textarea-wrapper {
    position: relative;
    width: 100%;
}

.textarea-wrapper textarea {
    width: 100%;
    height: 200px;
    padding-right: 45px; /* space for icon */
    box-sizing: border-box;
}

.copy-icon {
    position: absolute;
    top: 8px;
    right: 20px;

    width: 32px;
    height: 32px;

    border: none;
    border-radius: 6px;

    cursor: pointer;
    font-size: 16px;

    display: flex;
    align-items: center;
    justify-content: center;
}

.copy-icon:hover {
    background: #444;
}

.char-counter {
    margin-top: 6px;
    text-align: right;
    font-size: 13px;
    color: #999;
}